<?php require_once('topo.php');?>
<?php require_once('lateral.php');?>
<br /><br /><br />
<script type="text/javascript">



function Mudarestado(el) {
    var display = document.getElementById(el).style.display;
    if(display == "none"){
		document.getElementById('1').style.display = 'none';
		document.getElementById('2').style.display = 'none';
		document.getElementById('3').style.display = 'none';
		
		if(el == 1){
			document.getElementById('bt_1').style.backgroundColor = '#FFFFFF';
			document.getElementById('bt_2').style.backgroundColor = '#E3E3E3';
			document.getElementById('bt_3').style.backgroundColor = '#E3E3E3';	
		}
		
		if(el == 2){
			document.getElementById('bt_1').style.backgroundColor = '#E3E3E3';
			document.getElementById('bt_2').style.backgroundColor = '#FFFFFF';
			document.getElementById('bt_3').style.backgroundColor = '#E3E3E3';	
		}
		
		if(el == 3){
			document.getElementById('bt_1').style.backgroundColor = '#E3E3E3';
			document.getElementById('bt_2').style.backgroundColor = '#E3E3E3';
			document.getElementById('bt_3').style.backgroundColor = '#FFFFFF';	
		}				
		
		document.getElementById(el).style.display = '';
	}else{
        document.getElementById(el).style.display = '';
	}
}


var digital = new Date(); // crio um objeto date do javascript
//digital.setHours(15,59,56); // caso não queira testar com o php, comente a linha abaixo e descomente essa
digital.setHours(<?php echo date("H,i,s"); ?>); // seto a hora usando a hora do servidor
<!--
function clock() {
var hours = digital.getHours();
var minutes = digital.getMinutes();
var seconds = digital.getSeconds();
digital.setSeconds( seconds+1 ); // aquin que faz a mágica
// acrescento zero
if (minutes <= 9) minutes = "0" + minutes;
if (seconds <= 9) seconds = "0" + seconds;

dispTime = hours + ":" + minutes + ":" + seconds;
document.getElementById("clock").innerHTML = dispTime; // coloquei este div apenas para exemplo
setTimeout("clock()", 1000); // chamo a função a cada 1 segundo

}

window.onload = clock;
//-->



</script>
<?php
$mes= $_GET['mes'];
 $ano= $_GET['ano'];

 if($mes == ""){
	 $mes= date('m');
 }

 $proximo_mes = $mes+1;
 $anterior_mes = $mes-1;
 $ano_anterior =  $_GET['ano'];
 $ano_proximo =  $_GET['ano'];


 
 if($ano == ""){
	$ano =  date('Y');
 $ano_anterior =  date('Y');
 $ano_proximo =  date('Y');	
 }
 
 
 if($mes == 1)  {
 $dias=31;
 $nome="Janeiro";

 $proximo_mes = 2;
 $anterior_mes = 12;
 $ano_anterior =  $ano - 1;
 $ano_proximo =  $ano;

 }
 if($mes == 2)  {
     if($ano == "2020"){
    $dias=29;   
    }else{     
    $dias=28;
    }
 $nome="Fevereiro";
 }
 if($mes == 3)  {
 $dias=31;
 $nome="Março";
 }
 if($mes == 4)  {
 $dias=30;
 $nome="Abril";
 }
 if($mes == 5)  {
 $dias=31;
 $nome="Maio";
 }
 if($mes == 6)  {
 $dias=30;
 $nome="Junho";
 }
 if($mes == 7)  {
 $dias=31;
 $nome="Julho";
 }
 if($mes == 8)  {
 $dias=31;
 $nome="Agosto";
 }
 if($mes == 9)  {
 $dias=30;
 $nome="Setembro";
 }
 if($mes == 10) {
 $dias=31;
 $nome="Outubro";
 }
 if($mes == 11) {
 $dias=30;
 $nome="Novembro";
 }
 if($mes == 12) {
 $dias=31;
 $nome="Dezembro";
 
 $proximo_mes = 1;
 $anterior_mes = 11;
 $ano_anterior =  $ano;
 $ano_proximo =  $ano + 1;
 
 }
?>
<style type="text/css">
a:link {
	color: #000000;
	text-decoration: none;
}
a:visited {
	text-decoration: none;
	color: #000000;
}
a:hover {
	text-decoration: none;
	color: #1B8750;
}
a:active {
	text-decoration: none;
	color: #000000;
}
</style>
<table width="100%" border="0" cellspacing="0" cellpadding="6">
  <tbody>
    <tr>
      <td valign="top">
        <table width="100%" border="0" cellspacing="0" cellpadding="2" id="tabela_padrao" class="display">
          <tbody>
            <tr>
              <td bgcolor="#FFFFFF" class="TituloCinzaEscuro" style="font-size: 14px;"><?php echo $nome;?></td>
              <td align="right" bgcolor="#FFFFFF" class="TituloCinzaEscuro" style="font-size: 14px;">HOJE <?php echo date('d/m/Y');?></td>
            </tr>
            
            <tr>
              <td colspan="3" bgcolor="#FFFFFF"><table width="99%" border="0" align="center" cellpadding="4" cellspacing="0" style="border: #C7C7C7 1px solid; background-color: $E8E8E8; margin: 3px;">
                <tr bgcolor="#C7C7C7">
  <td width=140 style="border: #C7C7C7 1px solid;"><center><strong>Domingo</strong></center></td>
  <td width=140 style="border: #C7C7C7 1px solid;"><center><strong>Segunda</strong></center></td>
  <td width=140 style="border: #C7C7C7 1px solid;"><center><strong>Terça</strong></center></td>
  <td width=140 style="border: #C7C7C7 1px solid;"><center><strong>Quarta</strong></center></td>
  <td width=140 style="border: #C7C7C7 1px solid;"><center><strong>Quinta</strong></center></td>
  <td width=140 style="border: #C7C7C7 1px solid;"><center><strong>Sexta</strong></center></td>
  <td width=140 style="border: #C7C7C7 1px solid;"><center><strong>Sabado</strong></center></td>
  </tr>
  <?php
 echo "<tr>";
 for($i=1;$i<=$dias;$i++) {
 $diadasemana = date("w",mktime(0,0,0,$mes,$i,$ano));
 $cont = 0;
 if($i == 1) {
 while($cont < $diadasemana) {
 echo "<td></td>";
 $cont++;
 }
 }
 if($i < 10){
	$i = "0".$i;
}
$data_atual = $ano."-". $mes ."-".$i;
$SelecionaAgenda = Seleciona("agenda", "WHERE data='$data_atual' AND publica='Sim'", "ORDER BY horainicio ASC");
$TotalAgenda = mysql_num_rows($SelecionaAgenda);

$SelecionaTarefas = Seleciona("tarefas", "WHERE datainicio='$data_atual' AND idusuario='".$_SESSION['usuarioID']."'", "");
$TotalTarefas = mysql_num_rows($SelecionaTarefas);

if($TotalAgenda == 0){
	$cor = "#FFFFFF";
}else{
	$cor = "#FFFFFF";
}

$data_hoje = date('Y-m-d');

//VERIFICA FERIADO * ERICA 10/02/2017

$SelecionaFeriado = Seleciona("feriados", "WHERE data_feriado='$data_atual'", "");
$TotalFeriado = mysql_num_rows($SelecionaFeriado);

if($data_hoje == $data_atual){
	$cor = "#DFEFFF";	
}

if($TotalFeriado != "0"){
	$cor = "#CC99FF";
}
     
if($data_hoje == $data_atual){
	$cor = "#C3D69B";	
}

echo "<td width='100' height='80' valign='top' bgcolor='".$cor."' style='height:100px; border: #C7C7C7 1px solid; font-size: 11px;'>";
//echo "<button type='button' class='btn btn-success' style=' float:right;' onclick=location.href='manutencao_atendimentos.php?data_agenda=".$data_atual."';>Novo</button> ";
echo "<strong style='padding-left: 5px; font-size: 14px;'>".$i ."</strong><br><br>";
echo "<strong>";
//TOTAL AGENDA
if($TotalAgenda == 0){
	echo '<a href="agenda_publica.php?Agenda=Vazia">';
}else{
//	echo '<a class="fancybox fancybox.iframe" href="listar_agenda_lytebox.php?data_atual='.$data_atual.'">';	
}
     
     
//VERIFICA FERIADO

if($TotalFeriado == "0"){     
//lista reuniões
while($reunioes = mysql_fetch_array($SelecionaAgenda)){
//VERIFICA SE EXISTE HORA INICIO NA BASE DE USUARIO

//VERIFICA SE POSSUI ATENDIMENTO    

if($reunioes['idatendimento'] > 0){ 


$selecionar_atendimentos = Seleciona("atendimentos_agenciae", "WHERE idatendimento='".$reunioes['idatendimento']."'", "") or die(mysql_error());
while($linha_atendimentos=mysql_fetch_array($selecionar_atendimentos)){
$aniversariante = " - " . $linha_atendimentos['aniversariante']; 
 }	    
}
    

	
//SELECIONE DETALHE DA AGENDA
$SelecionaAgendaDetalhe = Seleciona("agenda", "WHERE idagenda='".$reunioes['idagenda']."'", "LIMIT 0,1") or die(mysql_error());
while($agenda_detalhe = mysql_fetch_array($SelecionaAgendaDetalhe)){

$CorTipoAgenda = Seleciona("agenda_tipos", "WHERE idtipo_agenda='".$agenda_detalhe['tipo']."'", "LIMIT 0,1") or die(mysql_error());
while($cortipo = mysql_fetch_array($CorTipoAgenda)){
if($cortipo['cor'] == "#FFFF00"){
	$cor_texto = "#000000";	
}else{
	$cor_texto = "#FFFFFF";	
}
	
    if($aniversariante == ""){
        $aniversariante = " - " . $agenda_detalhe['assunto'];
    }    
	
	echo '<a class="fancybox fancybox.iframe" href="detalhe_agenda_lytebox.php?idagenda='.$agenda_detalhe['idagenda'].'"><span style="color: '.$cor_texto.'; background-color: '.$cortipo['cor'].'; font-size: 9px; padding: 5px; float:left;">'.$agenda_detalhe['horainicio'].' - '.$cortipo['titulo'].''.$aniversariante.'</span></a>';			

    $aniversariante = "";
}
}
}
}else{
	echo "<br><br><br><br><strong style='padding-left: 45px;'> DATA INDISPONIVEL </strong>";	
}    
//echo "REUNIÃO : " . $TotalAgenda;
//echo '</a>';

echo "<br>";

//TOTAL AGENDA
if($TotalTarefas == 0){
	echo '<a href="agenda_publica.php?Agenda=Vazia">';
}else{
//echo '<a class="fancybox fancybox.iframe" href="listar_tarefa_lytebox.php?data_atual='.$data_atual.'">';
}



//echo "ATIVIDADES : " . $TotalTarefas;
//echo '</a>';
//echo "</strong>";

 echo "</td>";
 if($diadasemana == 6) {
 echo "</tr>";
 echo "<tr>";
 }
 }
 echo "</tr>";
 
 //NOMES MES ANTERIOR E PRÓXIMO
 
$mes_anterior = $mes - 1;
$mes_proximo = $mes + 1;

if($mes_anterior == 0){
	$ano = $ano - 1;	
	$mes_anterior = "12";	
}

if($mes_proximo == 13){
	$ano = $ano + 1;	
	$mes_proximo = "01";
}

//ATERAR AQUIVAMENTO TAREFA

if($_GET['ArquivarTarefa'] == "Sim"){

$atualizartarefa = Alterar("tarefas", "arquivado='sim'", "idtarefa", $_GET['idtarefa']);	
	$redireciona = VerificaSqlSemAlert($atualizartarefa, "agenda_publica.php", "agenda_publica.php");
}

 ?>
  </table>            
                
              </td>
            </tr>
            <tr>
              <td colspan="3" bgcolor="#FFFFFF"><table width="100%" border="0" cellspacing="0" cellpadding="2">
                <tbody>
                  <tr>
                    <td colspan="3" style="height:30px">                    
                    <?php
                    $SelecionaTipos = Seleciona("agenda_tipos", "", "ORDER BY titulo ASC");
                    while($tipos = mysql_fetch_array($SelecionaTipos)){
                    echo '<i class="fa fa-circle" aria-hidden="true" style="color:'.$tipos['cor'].'"></i> ' . $tipos['titulo'] . "| ";   
                    }
                    ?>                    
                    </td>
                    </tr>
                  <tr>
                    <td width="33%" style="height:30px"><strong><span class="TituloCinzaEscuro" style="font-size: 14px;"><a href="agenda_publica.php?mes=<?php echo $anterior_mes;?>&ano=<?php echo $ano_anterior;?>">&lt;MÊS ANTERIOR</a></span></strong></td>
                    <td width="17%" style="height:30px" align="center">
                      <table width="200" border="0" cellspacing="0" cellpadding="2">
                        <tbody>
                          <tr>
                            <td width="35" align="center"><a class="fancybox fancybox.iframe" href="detalhe_agenda_lytebox.php"><img src="img/icone_adiciona.png" width="25" height="25" border="0" /></a></td>
                            <td width="157"><span class="TituloCinzaEscuro" style="font-size: 14px;"><a class="fancybox fancybox.iframe" href="detalhe_agenda_lytebox.php">ADICIONAR AGENDA</a></span></td>
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    <td width="33%" style="height:30px" align="right"><strong><span class="TituloCinzaEscuro" style="font-size: 14px;"><a href="agenda_publica.php?mes=<?php echo $proximo_mes;?>&ano=<?php echo $ano_proximo;?>">PRÓXIMO MÊS &gt;</a></span></strong></td>
                    </tr>
                  </tbody>
              </table></td>
            </tr>          
          </tbody>
      </table></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
    </tr>
  </tbody>
</table>

<h3 class="box-title">Agenda de Hoje </h3>    
     
<table id="example1" class="table table-bordered table-striped">
<thead>
<tr>
<th style="cursor:pointer">Código</th>
<th style="cursor:pointer">Data</th>
<th style="cursor:pointer">Titulo</th>
</tr>
</thead>
<tbody>
<?php								

$datahoje = date('Y-m-d');
    
$SelecionaAgenda = Seleciona("agenda", "WHERE excluido IS NULL AND data='$datahoje'", "ORDER BY horainicio ASC") or die(mysql_error());
while($linha = mysql_fetch_array($SelecionaAgenda)){

?>
<tr>
<td><?php echo $linha['idagenda'];?></td>
<td><?php echo InverteDataNovoSeparador($linha['data'], "-","/");?></td>
<td><?php echo $linha['assunto'];?></td>
</tr>
<?php 
}?>
</tbody>
</table>    
<?php require_once('rodape.php');?>